Get the rating ladder
Lists calibrated players for one rating category and scope, highest rating first. Uncalibrated players are excluded. Defaults to gameType=x01 and scope=online.
GET
/ratingsAuthorization
x-api-keyAPI key · headerrequiredA user (dp_) or organization (dp_org_) API key with read scopes.
Query parameters
gameTypestringRating category to rank.
default: "x01"
Allowed:
x01cricketscopestringRating scope to rank.
default: "online"
Allowed:
localtournamentonlinelimitintegerNumber of ladder entries to return.
min 1 · max 100 · default: 50
Responses
200
The rating ladder.
gameTypestringrequiredAllowed:
x01cricketscopestringrequiredAllowed:
localtournamentonlineentriesRatingLadderEntry[]requiredShow propertiesHide properties
Array of
RatingLadderEntryrankintegerrequiredmax 9007199254740991
userIdstringrequireddisplayNamestringrequiredimagestring | nullrequiredgameTypestringrequiredAllowed:
x01cricketscopestringrequiredAllowed:
localtournamentonlinerankedbooleanrequiredratingnumberrequireddivisionRatingDivisionrequiredShow propertiesHide properties
tierstringrequiredAllowed:
bronzesilvergoldplatinumdiamonddivisionnumberrequiredShow propertiesHide properties
Any of:
number
numbernumber
numbernumber
numberlabelstringrequiredgamesPlayedintegerrequiredmin 0 · max 9007199254740991
calibrationGamesintegerrequiredmax 9007199254740991
lastRatedAtstring | nullrequiredseededbooleanrequired400
Invalid request.
messagestringrequired401
Missing or invalid API key.
messagestringrequired403
The API key is missing a required scope or is the wrong type for this endpoint.
messagestringrequired404
Entity not found.
messagestringrequired429
Rate limit exceeded. See the Retry-After header.
messagestringrequired500
Internal server error.
messagestringrequired